cPanel incorpora soporte para los certificados de Let’s Encrypt con su plugin AutoSSL

Escrito por Sergio De Luz
Comercio Online

cPanel es el panel de control para administrar los servidores de alojamiento web más conocido del mundo. Proporciona herramientas de automatización y una interfaz gráfica vía web para gestionar el servidor fácilmente, además, podremos administrar los ficheros y las aplicaciones WordPress, Joomla e incluso Prestashop entre otros muchos. También nos permite gestionar las cuentas de correo y las bases de datos MySQL entre otras muchas funcionalidades.

El equipo de desarrollo de cPanel sabe que es fundamental la seguridad en su software, y también la seguridad del administrador cuando se conecta a la página de administración. Por este motivo, creó un plugin llamado AutoSSL que nos permite instalar y renovar automáticamente el certificado SSL TLS, de esta forma, todas las comunicaciones siempre irán a través de HTTPS con un certificado de servidor válido de cara a los navegadores web.

En la página web oficial del plugin AutoSSL tenéis disponible cómo instalarlo y cómo funciona.

Debido a la popularización de la autoridad de certificación Let’s Encrypt, el equipo de desarrollo de AutoSSL y cPanel han añadido compatibilidad con esta CA que ya es reconocida por todos los navegadores web. De esta forma, a partir de la versión cPanel & WHM versión 58 podremos utilizar certificados SSL TLS de Let’s Encrypt en nuestro cPanel fácilmente, y además se renovarán automáticamente gracias a la herramienta AutoSSL.LetsEncrypt_Logo

 

Instalación de Let’s Encrypt en AutoSSL

En la versión 58 de cPanel la instalación aún está limitada a la línea de comandos, de esta forma, deberemos acceder vía SSH al servidor con el usuario “root” y ejecutar el siguiente comando:

/scripts/install_lets_encrypt_autossl_provider

Una vez instalado, Let’s Encrypt aparecerá en la interfaz de gestión de AutoSSL (Home >> SSL/TLS >> Manage AutoSSL) y podremos activarlo para que a partir de ese momento utilice esta autoridad de certificación.

Un detalle muy importante es que AutoSSL solo está disponible en las versiones 58 y superiores de cPanel, por lo que si tienes un sistema operativo antiguo que no es compatible con esta versión y quieres tener AutoSSL, deberás actualizarte. cPanel dispone además de una herramienta que facilita la migración de todas las configuraciones, por lo que desplegar en tus servidores una nueva versión del sistema operativo y la última versión de cPanel no debería llevarte demasiado tiempo ni ser complicado.

Os recomendamos visitar el blog oficial de cPanel donde encontraréis el anuncio de la compatibilidad de AutoSSL con Let’s Encrypt.


Últimos análisis

Valoración RZ
9
Valoración RZ
9
Valoración RZ
10
Valoración RZ
9
Valoración RZ
10
Valoración RZ
7
Valoración RZ
9
Valoración RZ
10
Valoración RZ
8
Valoración RZ
10